# generated by cabal-rpm-2.0.9
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

%global pkg_name network
%global pkgver %{pkg_name}-%{version}

# needs net?
%bcond_with tests

Name:           ghc-%{pkg_name}
Version:        3.1.2.7
Release:        2%{?dist}
Summary:        Low-level networking interface

License:        BSD
Url:            https://hackage.haskell.org/package/%{pkg_name}
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{pkgver}/%{pkgver}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-prof
BuildRequires:  ghc-bytestring-prof
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-directory-prof
%if %{with tests}
BuildRequires:  ghc-HUnit-devel
BuildRequires:  ghc-QuickCheck-devel
BuildRequires:  ghc-hspec-devel
BuildRequires:  ghc-hspec-discover-devel
BuildRequires:  ghc-temporary-devel
%endif
# End cabal-rpm deps

%description
This package provides a low-level networking interface.

=== High-Level Packages Other packages provide higher level interfaces:

* connection * hookup * network-simple

=== Extended Packages 'network' seeks to provide a cross-platform core for
networking. As such some APIs live in extended libraries. Packages in the
'network' ecosystem are often prefixed with 'network-'.

==== 'network-bsd' In 'network-3.0.0.0' the 'Network.BSD' module was split off
into its own package, 'network-bsd-3.0.0.0'.

==== 'network-uri' In 'network-2.6' the 'Network.URI' module was split off into
its own package, 'network-uri-2.6'. If you're using the 'Network.URI' module
you can automatically get it from the right package by adding this to your
'.cabal' file:

> library > build-depends: network-uri-flag.


%package devel
Summary:        Haskell %{pkg_name} library development files
Provides:       %{name}-static = %{version}-%{release}
Provides:       %{name}-static%{?_isa} = %{version}-%{release}
%if %{defined ghc_version}
Requires:       ghc-compiler = %{ghc_version}
%endif
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
This package provides the Haskell %{pkg_name} library development files.


%if %{with haddock}
%package doc
Summary:        Haskell %{pkg_name} library documentation
BuildArch:      noarch
Requires:       ghc-filesystem

%description doc
This package provides the Haskell %{pkg_name} library documentation.
%endif


%if %{with ghc_prof}
%package prof
Summary:        Haskell %{pkg_name} profiling library
Requires:       %{name}-devel%{?_isa} = %{version}-%{release}
Supplements:    (%{name}-devel and ghc-prof)

%description prof
This package provides the Haskell %{pkg_name} profiling library.
%endif


%prep
# Begin cabal-rpm setup:
%setup -q -n %{pkgver}
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_lib_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_lib_install
# End cabal-rpm install


%check
%if %{with tests}
%cabal_test
%endif


%files -f %{name}.files
# Begin cabal-rpm files:
%license LICENSE
# End cabal-rpm files


%files devel -f %{name}-devel.files
%doc CHANGELOG.md README.md examples


%if %{with haddock}
%files doc -f %{name}-doc.files
%license LICENSE
%endif


%if %{with ghc_prof}
%files prof -f %{name}-prof.files
%endif


%changelog
* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon May 02 2022 Jens Petersen <petersen@redhat.com> - 3.1.2.7-1
- https://hackage.haskell.org/package/network-3.1.2.7/changelog

* Tue Mar 08 2022 Jens Petersen <petersen@redhat.com> - 3.1.1.1-8
- rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Aug  5 2021 Jens Petersen <petersen@redhat.com> - 3.1.1.1-6
- drop deprecated hsnet_inet_ntoa from HsNet.h

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1.1-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jul 10 2020 Jens Petersen <petersen@redhat.com> - 3.1.1.1-1
- update to 3.1.1.1

* Thu Jul  9 2020 Jens Petersen <petersen@redhat.com> - 2.8.0.1-3
- refresh to cabal-rpm-2.0.2
- no longer overwrite config.{guess,sub}, to fix rawhide build

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.8.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jul 25 2019 Jens Petersen <petersen@redhat.com> - 2.8.0.1-1
- update to 2.8.0.1

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 17 2019 Jens Petersen <petersen@redhat.com> - 2.6.3.6-3
- refresh to cabal-rpm-0.13

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 26 2018 Jens Petersen <petersen@redhat.com> - 2.6.3.6-1
- update to 2.6.3.6

* Sun Jul 22 2018 Jens Petersen <petersen@redhat.com> - 2.6.3.5-1
- update to 2.6.3.5

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jan 24 2018 Jens Petersen <petersen@redhat.com> - 2.6.3.2-1
- update to 2.6.3.2

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Feb 22 2017 Jens Petersen <petersen@redhat.com> - 2.6.3.1-1
- update to 2.6.3.1

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jun  7 2016 Jens Petersen <petersen@redhat.com> - 2.6.2.1-1
- update to 2.6.2.1

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Aug  8 2014 Jens Petersen <petersen@redhat.com> - 2.4.2.3-1
- update to 2.4.2.3

* Mon Jun  9 2014 Jens Petersen <petersen@redhat.com> - 2.4.1.2-32
- update to cabalrpm-0.8.11
- Use rpm's config.* to support new archs like ppc64le (Karsten Hopp)

* Mon Mar 17 2014 Jens Petersen <petersen@redhat.com> - 2.4.1.2-31
- bump release over haskell-platform

* Fri Jan 31 2014 Jens Petersen <petersen@redhat.com> - 2.4.1.2-30
- spec file revived using cabal-rpm-0.8.8

* Tue Mar 20 2012 Jens Petersen <petersen@redhat.com> - 2.3.0.11-1
- update to 2.3.0.11

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 28 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.5-1
- update to 2.3.0.5 for haskell-platform-2011.4.0.0
- cabal2spec-0.25.1
- includes examples in devel doc

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.0.2-5.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 2.3.0.2-5.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 2.3.0.2-5.1
- rebuild with new gmp

* Tue Jun 21 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-5
- ghc_arches replaces ghc_excluded_archs

* Mon Jun 20 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-4
- BR ghc-Cabal-devel and use ghc_excluded_archs

* Fri May 27 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-3
- update to cabal2spec-0.23: add ppc64

* Thu Mar 10 2011 Fabio M. Di Nitto <fdinitto@redhat.com> - 2.3.0.2-2
- Enable build on sparcv9

* Tue Feb 15 2011 Jens Petersen <petersen@redhat.com> - 2.3.0.2-1
- update to 2.3.0.2 for haskell-platform-2011.1

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Jan 15 2011 Jens Petersen <petersen@redhat.com> - 2.3-2
- update to cabal2spec-0.22.4

* Sun Dec  5 2010 Jens Petersen <petersen@redhat.com> - 2.3-1
- update to 2.3

* Thu Nov 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-5
- update url and drop -o obsoletes

* Sat Sep  4 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-4
- update to latest macros, hscolour and drop doc pkg (cabal2spec-0.22.2)
- part of haskell-platform-2010.2.0.0

* Fri Jun 25 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-3
- strip shared library (cabal2spec-0.21.4)

* Mon Apr 26 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-2
- rebuild against ghc-6.12.2
- condition ghc_lib_package

* Tue Mar 23 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.7-1
- update to 2.2.1.7 for haskell-platform-2010.1.0.0

* Mon Jan 11 2010 Jens Petersen <petersen@redhat.com> - 2.2.1.5-1
- update to 2.2.1.5 (haskell-platform-2009.3.1)
- update to ghc-rpm-macros-0.5.1 and cabal2spec-0.21.1:
- drop doc and prof bcond
- use common_summary and common_description
- use ghc_lib_package and ghc_pkg_deps
- build shared library
- drop redundant buildroot and its install cleaning

* Tue Sep 22 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-2
- version ghcdocdir to avoid conflict with ghc-doc-6.10.4 (#523884)

* Wed Sep 16 2009 Jens Petersen <petersen@redhat.com> - 2.2.1.4-1
- initial packaging for Fedora created by cabal2spec
